Ошибка рендеринга в редакторе макетов Android Studio 3.0

Я только начал изучать Kotlin для разработки Android и начал пустой проект и добавил активность. Я добавил необходимые зависимости градиента, как сказано в документах Котлина. По умолчанию xml-файл MainActivity содержит только TextView. Но когда я пытаюсь просмотреть xml в редакторе макета, он показывает «Render Error»,

Render problem Failed to load AppCompat ActionBar with unknown error. 

Также я получаю это

 The following classes could not be instantiated: - android.support.v7.widget.AppCompatImageView (Open Class, Show Exception, Clear Cache) - android.support.v7.widget.ActionBarContainer (Open Class, Show Exception, Clear Cache) - android.support.v7.widget.Toolbar (Open Class, Show Exception, Clear Cache) - android.support.v7.widget.AppCompatTextView (Open Class, Show Exception, Clear Cache) - android.support.v7.widget.ActionBarContextView (Open Class, Show Exception, Clear Cache) - android.support.v7.app.WindowDecorActionBar (Open Class, Show Exception, Clear Cache) - android.support.v7.widget.ActionBarOverlayLayout (Open Class, Show Exception, Clear Cache) Exception Details java.lang.ClassNotFoundException: android.support.v4.view.TintableBackgroundView 

Я попытался перестроить проект и обновить макет вручную. Но ничего не работает.

Итак, что мне делать? Я использую Android Studio 3.0 Canary 2 с Kotlin

Редакция:

Я добился определенного прогресса. Я обнаружил, что ни одна из моих приложений AppCompat не работает.

Ну, проверьте свою граду, добавили ли вы поддержку: зависимость appcompat в файле app / build.gradle? Также appcompat: зависимость дизайна

У меня также есть эта проблема, решенная следующим образом: измените appcompat-v7:26.0.0-beta2 на build.gradle ( build.gradle modle:app ) на appcompat-v7:26.0.0-beta1 .

Это решение может помочь вам. Измените style.xml от:

 <style name="AppTheme" parent="Theme.AppCompat.Light.DarkActionBar"> </style> 

чтобы:

 <style name="AppTheme" parent="Base.Theme.AppCompat.Light.DarkActionBar"> </style> 

Ошибка – реализация 'com.android.support:appcompat-v7:26.0.0-beta2' change implementation 'com.android.support:appcompat-v7:26.0.0-beta1'

У меня проблемы с версией библиотек поддержки 25.4.0. Я вернулся к версии 25.3.1, и макет рендеринга работает.

Я решил проблему, обновив версию плагина gradle до 3.0.0-alpha2 и используя gradle wrapper grad.0-4.0-milestone-1-all.zip.

Я зарегистрировал эту проблему в трекере по проблеме андроид-студии – https://issuetracker.google.com/u/1/issues/62251892

Я столкнулся с той же проблемой, когда я попробовал автозаполнение. Но это будет работать для меня. Убедитесь, что вы добавили эти зависимости

 compile "com.android.support:support-core-utils:26.0.0-beta2" compile "com.android.support:support-v4:26.0.0-beta2" compile "com.android.support:support-v13:26.0.0-beta2" compile "com.android.support:appcompat-v7:26.0.0-beta2" compile 'com.android.support:design:26.0.0-beta2' 

а также

Classpath 'com.android.tools.build:gradle:2.3.3'

Чувак У меня тоже проблема с Android Studio 3.0, у меня есть решение, просто сделайте некоторые изменения в файле стиля под папкой значений res.

Вот…

 <!-- Base application theme. --> <style name="AppTheme" parent="Base.Theme.AppCompat.Light.DarkActionBar"> <!-- Customize your theme here. --> <item name="colorPrimary">@color/colorPrimary</item> <item name="colorPrimaryDark">@color/colorPrimaryDark</item> <item name="colorAccent">@color/colorAccent</item> </style> 

Я добавил «База». В родительском, чтобы он работал правильно!